org.apache.lucene.codecs.asserting

## Class AssertingPointsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PointsFormat
  - - org.apache.lucene.codecs.asserting.AssertingPointsFormat

-     public final class AssertingPointsFormat
      extends PointsFormat

  Just like the default point format but with additional asserts.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.codecs.PointsFormat

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertingPointsFormat()` Create a new AssertingPointsFormat
    `AssertingPointsFormat(PointsFormat in)` Expert: Create an AssertingPointsFormat.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PointsReader` | `fieldsReader(SegmentReadState state)`
    `PointsWriter` | `fieldsWriter(SegmentWriteState state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertingPointsFormat

          public AssertingPointsFormat()

      Create a new AssertingPointsFormat

    - #### AssertingPointsFormat

          public AssertingPointsFormat(PointsFormat in)

      Expert: Create an AssertingPointsFormat. This is only intended to pass special parameters for testing.

  - ### Method Detail

    - #### fieldsWriter

          public PointsWriter fieldsWriter(SegmentWriteState state)
                                    throws IOException

      Specified by:
        `fieldsWriter` in class `PointsFormat`
      Throws:
        `IOException`

    - #### fieldsReader

          public PointsReader fieldsReader(SegmentReadState state)
                                    throws IOException

      Specified by:
        `fieldsReader` in class `PointsFormat`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.